# AI Games

Welcome to AI Games, a Python package featuring various games with AI opponents.

## Installation

You can install AI Games using pip:

```bash
pip install ai_games
```

## Connect Four with AI

The Connect Four with AI game in this package is adapted from a tutorial on YouTube created by [Keith Galli](https://www.youtube.com/@KeithGalli). 


```python
from connect4_ai import Connect4Game, Config

# Custom configuration
config = Config(row_count=6, column_count=7, player_piece=1, ai_piece=2)

# Initialize the game
game = Connect4Game(config=config)

# Start playing
game.play()
```

## Features

- Play against an AI opponent.
- Customizable game settings.
- Easy-to-use interface.
- Easy-to-understand code.


## Games Available

- Connect Four with AI (Currently available)

## Future Updates

Stay tuned for future updates as we add more exciting games to the AI Games package!

## Contributors

- [Benjamin M](https://github.com/bzm10) - Creator and maintainer
- [Channel](https://youtube.com/@codingwithbm) - Youtube

## License

This project is licensed under the MIT License - see the [LICENSE](https://github.com/bzm10/ai_games/blob/main/LICENSE) file for details.
